Index: testsuites/sptests/splinkersets01/init.c
===================================================================
--- testsuites/sptests/splinkersets01/init.c	(revision e5fd901141062dce6f372dd391ed11cc676d1d19)
+++ testsuites/sptests/splinkersets01/init.c	(revision 5c09e9dd1fb35120ddcca5b1087abd8f594d81fa)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2015 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2015, 2016 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -133,23 +133,23 @@
 static void test_content(void)
 {
-  void volatile *b_rw = RTEMS_LINKER_SET_BEGIN(test_content_rw);
-  void volatile *e_rw = RTEMS_LINKER_SET_END(test_content_rw);
+  uintptr_t b_rw = (uintptr_t) RTEMS_LINKER_SET_BEGIN(test_content_rw);
+  uintptr_t e_rw = (uintptr_t) RTEMS_LINKER_SET_END(test_content_rw);
 
-  void volatile const *b_ro = RTEMS_LINKER_SET_BEGIN(test_content_ro);
-  void volatile const *e_ro = RTEMS_LINKER_SET_END(test_content_ro);
+  uintptr_t b_ro = (uintptr_t) RTEMS_LINKER_SET_BEGIN(test_content_ro);
+  uintptr_t e_ro = (uintptr_t) RTEMS_LINKER_SET_END(test_content_ro);
 
-  rtems_test_assert(&content_rw_1 >= b_rw);
-  rtems_test_assert(&content_rw_2 >= b_rw);
-  rtems_test_assert(&content_rw_3 >= b_rw);
-  rtems_test_assert(&content_rw_1 <= e_rw);
-  rtems_test_assert(&content_rw_2 <= e_rw);
-  rtems_test_assert(&content_rw_3 <= e_rw);
+  rtems_test_assert((uintptr_t) &content_rw_1 >= b_rw);
+  rtems_test_assert((uintptr_t) &content_rw_2 >= b_rw);
+  rtems_test_assert((uintptr_t) &content_rw_3 >= b_rw);
+  rtems_test_assert((uintptr_t) &content_rw_1 <= e_rw);
+  rtems_test_assert((uintptr_t) &content_rw_2 <= e_rw);
+  rtems_test_assert((uintptr_t) &content_rw_3 <= e_rw);
 
-  rtems_test_assert(&content_ro_1 >= b_ro);
-  rtems_test_assert(&content_ro_2 >= b_ro);
-  rtems_test_assert(&content_ro_3 >= b_ro);
-  rtems_test_assert(&content_ro_1 <= e_ro);
-  rtems_test_assert(&content_ro_2 <= e_ro);
-  rtems_test_assert(&content_ro_3 <= e_ro);
+  rtems_test_assert((uintptr_t) &content_ro_1 >= b_ro);
+  rtems_test_assert((uintptr_t) &content_ro_2 >= b_ro);
+  rtems_test_assert((uintptr_t) &content_ro_3 >= b_ro);
+  rtems_test_assert((uintptr_t) &content_ro_1 <= e_ro);
+  rtems_test_assert((uintptr_t) &content_ro_2 <= e_ro);
+  rtems_test_assert((uintptr_t) &content_ro_3 <= e_ro);
 }
 
Index: testsuites/sptests/splinkersets01/items.c
===================================================================
--- testsuites/sptests/splinkersets01/items.c	(revision e5fd901141062dce6f372dd391ed11cc676d1d19)
+++ testsuites/sptests/splinkersets01/items.c	(revision 5c09e9dd1fb35120ddcca5b1087abd8f594d81fa)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2015 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2015, 2016 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -23,9 +23,9 @@
 RTEMS_LINKER_ROSET_ITEM_ORDERED(test_ro, const int *, ca2, OC) = &ca[2];
 
-int content_rw_1;
-char content_rw_2;
-char content_rw_3;
+RTEMS_LINKER_RWSET_CONTENT(test_content_rw, int content_rw_1);
+RTEMS_LINKER_RWSET_CONTENT(test_content_rw, char content_rw_2);
+RTEMS_LINKER_RWSET_CONTENT(test_content_rw, char content_rw_3);
 
-const int content_ro_1;
-const char content_ro_2;
-const char content_ro_3;
+RTEMS_LINKER_ROSET_CONTENT(test_content_ro, const int content_ro_1);
+RTEMS_LINKER_ROSET_CONTENT(test_content_ro, const char content_ro_2);
+RTEMS_LINKER_ROSET_CONTENT(test_content_ro, const char content_ro_3);
Index: testsuites/sptests/splinkersets01/splinkersets01.h
===================================================================
--- testsuites/sptests/splinkersets01/splinkersets01.h	(revision e5fd901141062dce6f372dd391ed11cc676d1d19)
+++ testsuites/sptests/splinkersets01/splinkersets01.h	(revision 5c09e9dd1fb35120ddcca5b1087abd8f594d81fa)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2015 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2015, 2016 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -38,11 +38,11 @@
 RTEMS_LINKER_ROSET_ITEM_DECLARE(test_ro, const int *, ca2);
 
-RTEMS_LINKER_RWSET_CONTENT(test_content_rw, extern int content_rw_1);
-RTEMS_LINKER_RWSET_CONTENT(test_content_rw, extern char content_rw_2);
-RTEMS_LINKER_RWSET_CONTENT(test_content_rw, extern char content_rw_3);
+extern int content_rw_1;
+extern char content_rw_2;
+extern char content_rw_3;
 
-RTEMS_LINKER_ROSET_CONTENT(test_content_ro, extern const int content_ro_1);
-RTEMS_LINKER_ROSET_CONTENT(test_content_ro, extern const char content_ro_2);
-RTEMS_LINKER_ROSET_CONTENT(test_content_ro, extern const char content_ro_3);
+extern const int content_ro_1;
+extern const char content_ro_2;
+extern const char content_ro_3;
 
 #ifdef __cplusplus
